Subject: Trying to compile PVM - Get the following error !
From: [email-masked] ("Paul C. Brant")

10 Mar 1997 16:23:30 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC2D98.76BCE0E0.cygnus.gnu-win32@emily>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 8bit
Original-To: "[email-masked]'" <[email-masked]>
X-MIME-Autoconverted: from quoted-printable to 8bit by cygnus.com id NAA19445
Original-Sender: [email-masked]

PVM ( Parallel Virtual Machine ) - There is a win32 port but it requires Microsoft dev tools to compile slave programs against its libraries. 

I thought I would have a pop at compiling the *NIX source with gcc-win32. All was going well until

gcc -O -DCLUMP_ALLOC -I../../include -DARCHCLASS=\"WIN32\" -DIMA_WIN32 -w -DNOSO
CKOPT -D__INSIDE_CYGWIN32__ -DNOWAIT3 -DNOUNIXDOM -DRSHCOMMAND=\"g:\webtools\rsh
\rsh.exe\" -o pvmd3 ddpro.o pvmfrag.o host.o hoster.o imalloc.o mesg.o nmdclass.
o pkt.o pvmalloc.o pvmarchc.o pvmcruft.o pvmd.o pvmdabuf.o pvmlog.o sdpro.o star
tup.o task.o tdpro.o waitc.o  -lcygwin -lwsock32
hoster.o(.text+0xe8d):hoster.c: undefined reference to `cygwin32_endservent'
hoster.o(.text+0x1253):hoster.c: undefined reference to `rexec'
make: *** [pvmd3] Error 1
make: *** [s] Error 2
bash$

_rexec is defined within wsock32, I am assuming that this is the stub for rexec ? If this assumption is correct then it doesn't seem to link.

cygwin32_endservent cannot be found in any library - I am using nm *.a and egrep.

All help/advice greatly appreciated. This is the first port I have attempted with gnu-win32 so applogies if these are simple issues !

Regards

Branty
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".